Update Address
curl --request PATCH \
--url https://api.headlesscommerce.io/v1/storefront/customers/me/addresses/{address_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Customer-Token: <api-key>' \
--data '
{
"name": "<string>",
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"company": "<string>",
"line2": "<string>",
"state": "<string>",
"phone": "<string>",
"type": "both",
"is_default": false
}
'{
"id": "<string>",
"name": "<string>",
"company": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z"
}Storefront - Customers
Update Address
PATCH
/
storefront
/
customers
/
me
/
addresses
/
{address_id}
Update Address
curl --request PATCH \
--url https://api.headlesscommerce.io/v1/storefront/customers/me/addresses/{address_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Customer-Token: <api-key>' \
--data '
{
"name": "<string>",
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"company": "<string>",
"line2": "<string>",
"state": "<string>",
"phone": "<string>",
"type": "both",
"is_default": false
}
'{
"id": "<string>",
"name": "<string>",
"company": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Storefront customer authentication token. Issued via POST /admin/customers/{id}/token. Required for accessing /storefront/customers/, /storefront/orders/.
Path Parameters
Body
application/json
⌘I